--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress MDD change 16/047
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              11-AUG-16   Generis           16.1
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
SET SCAN OFF
--
PROMPT
PROMPT Script to regress MDD change 16/047
PROMPT
PROMPT Version 16.1
PROMPT
--
PROMPT
PROMPT Regress delete REW as SUP (and GAO) (MDD 16/047)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                        SET EFFECTIVE_TO_DATE = NULL,
                            MARKET_PARTICIPANT_ROLE_NAME = REPLACE(MARKET_PARTICIPANT_ROLE_NAME,''DELETED - '',''''),
                            LAST_UPDATE_USER_ID = USER,
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''REW''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''SUP''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
